﻿//
// MainPage.xaml.h
// Declaration of the MainPage class.
//

#pragma once

#include "MainPage.g.h"
#include "Key.h"
#include "SawtoothOscillator.h"

namespace ChromaticButtonKeyboard
{
    public ref class MainPage sealed
    {
    private:
        Microsoft::WRL::ComPtr<IXAudio2> pXAudio2;
        IXAudio2MasteringVoice * pMasteringVoice;
        std::vector<SawtoothOscillator *> availableOscillators;
        std::map<int, SawtoothOscillator *> playingOscillators;

    public:
        MainPage();

    private:
        void OnKeyIsPressedChanged(Object^ sender, bool isPressed);
	};
}
