#include "pch.h"
#include "IndexToPitchConverter.h"

using namespace OscillatorCompare;

using namespace Platform;
using namespace Windows::Foundation;
using namespace Windows::UI::Xaml;
using namespace Windows::UI::Xaml::Interop;

Object^ IndexToPitchConverter::Convert(Object^ value, TypeName targetType, Object^ parameter, String^ language)
{
    static wchar_t * notes[] = { L"C", L"C#", L"D", L"D#", L"E", L"F", L"F#", L"G", L"G#", L"A", L"A#", L"B" };

    int index = (int)(double)value;
    double freq = 440 * pow(2, (index - 69) / 12.0);
    wchar_t result[20];
    swprintf(result, 20, L"%s %i (%.1f Hz)", notes[index % 12], index / 12 - 1, freq);
    return ref new String(result);
}

Object^ IndexToPitchConverter::ConvertBack(Object^ value, TypeName targetType, Object^ parameter, String^ language)
{
    return value;
}
