#pragma once

namespace OscillatorCompare
{
    class SawtoothOscillator1
    {
    private:
        static const int BASE_FREQ = 441;
        static const int BUFFER_LENGTH = (44100 / BASE_FREQ);

        IXAudio2SourceVoice * pSourceVoice;
        short waveformBuffer[BUFFER_LENGTH];

    public:
        SawtoothOscillator1(IXAudio2* pXAudio2);
        void SetFrequency(float freq);
        void SetAmplitude(float amp);
    };
}

